Bug 426660 - [RFE] Package globbing inversion in %packages does not remove packages from list.
[RFE] Package globbing inversion in %packages does not remove packages from l...
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: yum (Show other bugs)
5.2
All Linux
high Severity medium
: rc
: ---
Assigned To: James Antill
: FutureFeature, Reopened, Triaged
Depends On:
Blocks: 391501 442325
  Show dependency treegraph
 
Reported: 2007-12-23 18:55 EST by Norm Murray
Modified: 2010-10-22 17:21 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-20 16:43:43 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Wade Mealing 2007-12-23 18:55:02 EST
Description of problem:


 The Documentation on the Web site, at
 http://www.redhat.com/docs/manuals/enterprise/RHEL-5-manual/Installation_Guide-en-US/s1-kickstart2-packageselection.html
 (or page 256 of the pdf guide), mentions that within the package
 section, package choices can be "globbed" to match multiple
 patterns.

 It goes on to say that packages matches can be inverted with the
 negative sign before the package name.

 If the user goes on to use both of these ideas at the same time
 (package exclusion by globbing), kickstart fails to build the
 exclusion list, therefore the packages that were originally desired
 to be excluded are installed.

 For example

 %packages
 -rhn*

 You would assume that this would not install packages matching the
 glob,however it does not.

 The anaconda log file shows:

     08:48:15 DEBUG   : no such package rhn*

 and rpm -qa after install shows:

     rhnsd-4.6.1-1.el5
     rhn-setup-0.4.13-1.el5
     rhn-client-tools-0.4.13-1.el5
     rhn-check-0.4.13-1.el5
     rhnlib-2.2.5-1.el5

Steps to Reproduce:
1. Create a custom kickstart using globbing (with a negative side in front)
2. Kickstart system
3. Read anaconda.log, notice error mentioned above.
  
Actual results:

Inverted packages are installed.

Expected results:

Inverted package lists not to be installed.

Additional info:

Unsure if this worked in previous releases of RHEL.
Comment 1 Chris Lumens 2008-01-04 10:29:28 EST
yum will need to add support for the pattern= keyword to YumBase.remove before
we can add support for this in anaconda.  There's a patch against yum HEAD to
add this support, so I'm reassigning this bug to yum for now to investigate the
possibility of backporting that patch.
Comment 2 James Antill 2008-01-04 10:37:45 EST
 This is fairly easy, pressuming we have 3.2.8 to work from.
Comment 3 RHEL Product and Program Management 2008-01-04 10:44:36 EST
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 6 RHEL Product and Program Management 2008-02-04 17:35:18 EST
Development Management has reviewed and declined this request.  You may appeal
this decision by reopening this request. 
Comment 7 James Antill 2008-02-04 17:57:47 EST
 Ok, that was not what I wanted to do ... trying again.
Comment 15 David Mair 2008-04-21 18:48:54 EDT
This RFE has been reviewed during the RHEL RFE review
with Red Hat product management. This request has been *tentatively* approved
for inclusion
in the next update. This decision is not final and still pends further
technical review and scoping by Red Hat development engineering.
Comment 26 errata-xmlrpc 2009-01-20 16:43:43 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-0176.html

Note You need to log in before you can comment on or make changes to this bug.